Skip to main content
POST
/
api
/
v1
/
apps
/
{app_id}
/
connectors
/
{connector_id}
/
mcp_tools
/
{id}
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.mcpTool.update({
    appId: "<id>",
    connectorId: "<id>",
    id: "<id>",
  });

  console.log(result);
}

run();
{
  "tool": {
    "allowedClientTypes": [],
    "appEntitlementId": "<string>",
    "appId": "<string>",
    "connectorId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "defaultDisplayName": "<string>",
    "deletedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "discoveryHash": "<string>",
    "displayName": "<string>",
    "id": "<string>",
    "inputSchemaJson": "<string>",
    "lastCalledAt": "2023-11-07T05:31:56Z",
    "toolName": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

App identifier (app that owns the connector).

connector_id
string
required

Connector identifier.

id
string
required

Unique identifier for this MCP tool record.

Body

application/json

MCPToolServiceUpdateRequest updates an existing MCP tool.

tool
Mcp Tool · object

MCPTool represents metadata about individual tools discovered from an MCP server.

updateMask
string | null

Response

200 - application/json

MCPToolServiceUpdateResponse returns the updated MCP tool.

MCPToolServiceUpdateResponse returns the updated MCP tool.

tool
Mcp Tool · object

MCPTool represents metadata about individual tools discovered from an MCP server.